package nsdb;
final public class EntryStatsHolder
	implements org.omg.CORBA.portable.Streamable
{
	public nsdb.EntryStats value;

	public EntryStatsHolder ()
	{
	}
	public EntryStatsHolder (nsdb.EntryStats initial)
	{
		value = initial;
	}
	public org.omg.CORBA.TypeCode _type()
	{
		return nsdb.EntryStatsHelper.type();
	}
	public void _read(org.omg.CORBA.portable.InputStream _in)
	{
		value = nsdb.EntryStatsHelper.read(_in);
	}
	public void _write(org.omg.CORBA.portable.OutputStream _out)
	{
		nsdb.EntryStatsHelper.write(_out,value);
	}
}
